IonCube Loader is an instrument, that's necessary to run files which are encrypted with ionCube PHP Encoder. The aforementioned is an app employed to make PHP code human unreadable, in order to protect it from reverse engineering and not authorized use. A great number of script-driven applications, in particular online forums, cms and e-commerce solutions are encoded with ionCube PHP Encoder, which means that if you buy a script and you notice that ionCube is among the web hosting environment requirements, you should ensure that your hosting server has the instrument pre-installed. Though it is not that difficult to set it up when you have your own server, it is almost impossible to do that on a shared web hosting server since the PHP environment shall have to be precompiled and all clients on the server will be affected.

IonCube in Web Hosting

If you get a Linux web hosting through our company, it will be created on our custom cloud hosting platform where ionCube Loader is already installed, so you won't have any kind of problems to run any script application that needs the instrument in order to function properly. In addition, we provide a few different releases of PHP, so if you switch the version, you will have to activate ionCube again. Our platform remembers the adjustments you make, so in case you move back to the previous release of PHP that was active for your account, ionCube Loader will already be enabled. The PHP version and the ionCube tool can be operated through the PHP Configuration section of our Hepsia web hosting Control Panel. Each adjustment that you make takes literally just a single click and it'll take effect without delay.

IonCube in Semi-dedicated Servers

Because all the semi-dedicated server accounts are set up on our advanced cluster platform and ionCube Loader is available on it, you'll be able to use any script application that needs the software tool in order to run efficiently. With just a few clicks in your Hepsia web hosting Control Panel you will be able to activate or deactivate ionCube for the PHP version that is currently active for the account. Since we support a couple of versions of PHP at the same time, you will have to do that any time you switch to a new version, and if you revert back to a release that you've already used, our system will remember your preference and ionCube Loader will already be activated. When you have several websites in the same account and they require different releases of PHP, you're able to create a php.ini file in each domain folder and with a couple of lines of program code you'll be able to define both the PHP release plus the status of ionCube regardless of what is selected for the website hosting account altogether.